%define upstream_name    Games-Solitaire-Verify
%define upstream_version 0.1000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A class for holding 
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This is a CPAN Perl module that verifies the solutions of various variants
of card Solitaire. It does not aim to try to be a solver for them, because
this is too CPU intensive to be adequately done using perl5 (as of
perl-5.10.0). If you're interested in the latter, look at:

* * http://fc-solve.berlios.de/

* * http://fc-solve.berlios.de/links.html#other_solvers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml META.json README COPYING
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/verify-solitaire-solution
/usr/share/man/man1/verify-solitaire-solution.1.xz



%changelog

* Fri Dec 16 2011 shlomif <shlomif> 0.100.0-1.mga2
+ Revision: 182820
- Correct the licence to MIT.
- imported package perl-Games-Solitaire-Verify


* Tue Dec 06 2011 cpan2dist 0.1000-1mga
- initial mageia release, generated with cpan2dist
